Download it now!
Bug 59989 - FILESAVE: LO crashes when using KDE file dialogs
Summary: FILESAVE: LO crashes when using KDE file dialogs
Status: RESOLVED DUPLICATE of bug 69002
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-28 21:23 UTC by lucapaolomari
Modified: 2014-04-25 14:46 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lucapaolomari 2013-01-28 21:23:35 UTC
Problem description:
KUbuntu 12.10. Everything worked well for several days after the installation of LO 3.6.4.3.
Now LO crashes every time (=in a deterministic way) when saving files or exporting to PDF if the LO dialogs are NOT used. The crash happens when the Save or Export button is selected.
If in Tools | Options | General | Open/Save dialogs | Use LibreOffice dialogs the switch is on, everything works well instead.
Operating System: Ubuntu
Version: 3.6.4.3 release
Comment 1 Julien Nabet 2013-01-30 05:27:41 UTC
Did you install any LO specific extensions?
Did you try to rename your LO profile directory? (see https://wiki.documentfoundation.org/User_Profile)

Could you try to retrieve an useful backtrace? (see https://wiki.documentfoundation.org/BugReport#How_to_get_a_backtrace_.28on_Linux.29)
Comment 2 lucapaolomari 2013-01-30 07:29:46 UTC
(In reply to comment #1)
> Did you install any LO specific extensions?
> Did you try to rename your LO profile directory? (see
> https://wiki.documentfoundation.org/User_Profile)
> 
> Could you try to retrieve an useful backtrace? (see
> https://wiki.documentfoundation.org/BugReport#How_to_get_a_backtrace_.
> 28on_Linux.29)

The issue seems to be related to the LO extension "LanguageTool. Open source language checker 2.0", that indeed I had installed a few days ago. Plausibly the crashes started since then.
The peculiar behavior is that I have:
-- disabled the extension, and no crashes!
-- re-enabled the extension, and no crashes anymore, even in this case?!
That is, by disabling and then re-enabling the extension everything seems to be ok
(I had tried to rename my user profile, but without any result)
Given the situation, I cannot generate any backtrace now: I use LO everyday, so I will continue monitoring it. If you are interested in some more info, please ask.
Comment 3 Julien Nabet 2013-01-30 09:08:32 UTC
David: I think we can put WFM but perhaps you'd be interested in this bug.
Comment 4 Mirosław Zalewski 2013-06-20 13:42:53 UTC
Since:
a) I can not reproduce crash while saving document in LO 3.6.5 and LO 4.0.4, KDE 4.8.4, Debian testing amd64
b) this bug did not received any comments in last 6 months
c) crash was most likely caused by third-party extension

I mark it as RESOLVED WORKSFORME, as Comment 3 suggested. Feel free to reopen it or provide additional info.

Best regards
Mirosław Zalewski
Comment 5 catlover2 2013-10-06 11:26:05 UTC
I do not think this bug is resolved. I am experiencing it, or something very similar, on ArchLinux with LibreOffice 4.1.2.3 and KDE 4.11.2.

The steps for reproducing the issue I am experiencing is:

1. Start LibreOffice Base.
2. Click "Text Document"
3. Click File>Save As.
4. If it does not crash right away, play around with the dialog a bit; the places list on the left seems particularly crash-inducing.

As a workaround, go to Tools>Options>LibreOffice>General>Open/save dialogs and check "Use LibreOffice dialogs". I have not experienced any crashes with that setting enabled.


Here is my backtrace:

#0  0x00007ffff75973d9 in raise () from /usr/lib/libc.so.6
#1  0x00007ffff75987d8 in abort () from /usr/lib/libc.so.6
#2  0x00007fffe58fb0cf in qt_message_output (msgType=msgType@entry=QtFatalMsg, buf=<optimized out>) at global/qglobal.cpp:2323
#3  0x00007fffe58fb259 in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=msgType@entry=QtFatalMsg, 
    msg=msg@entry=0x7fffe5a79f70 "ASSERT: \"%s\" in file %s, line %d", ap=ap@entry=0x7fffffff7fb8) at global/qglobal.cpp:2369
#4  0x00007fffe58fba64 in qFatal (msg=msg@entry=0x7fffe5a79f70 "ASSERT: \"%s\" in file %s, line %d") at global/qglobal.cpp:2552
#5  0x00007fffe58fbaa6 in qt_assert (assertion=assertion@entry=0x7fffe53d4f98 "!\"QClipboard: internal error, qt_xclb_wait_for_event recursed\"", 
    file=file@entry=0x7fffe53d4f40 "kernel/qclipboard_x11.cpp", line=line@entry=527) at global/qglobal.cpp:2018
#6  0x00007fffe4d694d8 in QX11Data::clipboardWaitForEvent (this=0x68d800, win=win@entry=58720320, type=type@entry=31, event=event@entry=0x7fffffff8220, timeout=timeout@entry=5000, 
    checkManager=checkManager@entry=false) at kernel/qclipboard_x11.cpp:527
#7  0x00007fffe4d6b1cc in QClipboardWatcher::getDataInFormat (this=this@entry=0x1f423e0, fmtatom=308) at kernel/qclipboard_x11.cpp:1289
#8  0x00007fffe4d6b65a in QClipboardWatcher::formats_sys (this=0x1f423e0) at kernel/qclipboard_x11.cpp:1214
#9  0x00007fffe4cf64a6 in QInternalMimeData::formats (this=<optimized out>) at kernel/qdnd.cpp:353
#10 0x00007fffe4d6b3d2 in QClipboardWatcher::retrieveData_sys (this=0x1f423e0, fmt=..., requestedType=QVariant::ByteArray) at kernel/qclipboard_x11.cpp:1250
#11 0x00007fffe4cf6956 in QInternalMimeData::retrieveData (this=0x1f423e0, mimeType=..., type=QVariant::ByteArray) at kernel/qdnd.cpp:368
#12 0x00007fffe5a20e0e in QMimeDataPrivate::retrieveTypedData (this=<optimized out>, format=..., type=type@entry=QVariant::ByteArray) at kernel/qmimedata.cpp:107
#13 0x00007fffe5a21a0d in QMimeData::data (this=this@entry=0x1f423e0, mimeType=...) at kernel/qmimedata.cpp:524
#14 0x00007fffe699dae2 in KFilePreviewGenerator::Private::decodeIsCutSelection (this=this@entry=0x1d19e40, mimeData=mimeData@entry=0x1f423e0)
    at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kfile/kfilepreviewgenerator.cpp:1120
#15 0x00007fffe699fb04 in KFilePreviewGenerator::Private::applyCutItemEffect (this=this@entry=0x1d19e40, items=...)
    at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kfile/kfilepreviewgenerator.cpp:890
#16 0x00007fffe699fef4 in KFilePreviewGenerator::Private::updateIcons (this=0x1d19e40, items=...) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kfile/kfilepreviewgenerator.cpp:534
#17 0x00007fffe5a272c8 in QMetaObject::activate (sender=0x1b980f0, m=m@entry=0x7fffe70bfcc0 <KDirLister::staticMetaObject>, local_signal_index=local_signal_index@entry=9, 
    argv=argv@entry=0x7fffffff8a30) at kernel/qobject.cpp:3547
#18 0x00007fffe6cf9c25 in KDirLister::newItems (this=<optimized out>, _t1=...) at /home/catlover2/abs/extra/kdelibs/src/build/kio/kdirlister.moc:280
#19 0x00007fffe6cfb7fe in KDirLister::Private::emitItems (this=0x1bc5e10) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/kdirlister.cpp:2506
#20 0x00007fffe6d031d4 in KDirListerCache::slotEntries (this=0x1b60000, job=<optimized out>, entries=...) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/kdirlister.cpp:1260
#21 0x00007fffe5a272c8 in QMetaObject::activate (sender=sender@entry=0x1fa1b40, m=m@entry=0x7fffe70befe0 <KIO::ListJob::staticMetaObject>, local_signal_index=local_signal_index@entry=0, 
    argv=argv@entry=0x7fffffff8d00) at kernel/qobject.cpp:3547
#22 0x00007fffe6ce2e34 in KIO::ListJob::entries (this=this@entry=0x1fa1b40, _t1=_t1@entry=0x1fa1b40, _t2=...) at /home/catlover2/abs/extra/kdelibs/src/build/kio/jobclasses.moc:967
#23 0x00007fffe6ceaad8 in KIO::ListJobPrivate::slotListEntries (this=<optimized out>, list=...) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/job.cpp:2617
#24 0x00007fffe5a272c8 in QMetaObject::activate (sender=0x1cb49c0, m=m@entry=0x7fffe70c34e0 <KIO::SlaveInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=6, 
    argv=argv@entry=0x7fffffff8f70) at kernel/qobject.cpp:3547
#25 0x00007fffe6d70cb5 in KIO::SlaveInterface::listEntries (this=<optimized out>, _t1=...) at /home/catlover2/abs/extra/kdelibs/src/build/kio/slaveinterface.moc:198
#26 0x00007fffe6d71d21 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=<optimized out>, rawdata=...)
    at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/slaveinterface.cpp:194
#27 0x00007fffe6d70a5f in KIO::SlaveInterface::dispatch (this=0x1cb49c0) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/slaveinterface.cpp:92
#28 0x00007fffe6d68bc9 in KIO::Slave::gotInput (this=0x1cb49c0) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/slave.cpp:344
#29 0x00007fffe5a272c8 in QMetaObject::activate (sender=0x1bc5b70, m=m@entry=0x7fffe70bca00 <KIO::Connection::staticMetaObject>, local_signal_index=local_signal_index@entry=0, 
    argv=argv@entry=0x0) at kernel/qobject.cpp:3547
#30 0x00007fffe6cbd4f0 in KIO::Connection::readyRead (this=<optimized out>) at /home/catlover2/abs/extra/kdelibs/src/build/kio/connection.moc:105
#31 0x00007fffe6cbe0bc in KIO::ConnectionPrivate::dequeue (this=0x1c94720) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/connection.cpp:82
#32 0x00007fffe5a2bdae in QObject::event (this=0x1bc5b70, e=<optimized out>) at kernel/qobject.cpp:1194
#33 0x00007fffe4ce24c1 in QApplicationPrivate::notify_helper (this=this@entry=0x68b730, receiver=receiver@entry=0x1bc5b70, e=e@entry=0x1fc0d90) at kernel/qapplication.cpp:4562
#34 0x00007fffe4ce938d in QApplication::notify (this=this@entry=0x67d3c0, receiver=receiver@entry=0x1bc5b70, e=e@entry=0x1fc0d90) at kernel/qapplication.cpp:4348
#35 0x00007fffe648ea16 in KApplication::notify (this=0x67d3c0, receiver=0x1bc5b70, event=0x1fc0d90) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kdeui/kernel/kapplication.cpp:311
#36 0x00007fffe5a11b5d in QCoreApplication::notifyInternal (this=0x67d3c0, receiver=receiver@entry=0x1bc5b70, event=event@entry=0x1fc0d90) at kernel/qcoreapplication.cpp:949
#37 0x00007fffe5a15041 in sendEvent (event=0x1fc0d90, receiver=0x1bc5b70) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#38 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x630f70) at kernel/qcoreapplication.cpp:1573
#39 0x00007fffe5a15453 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1466
#40 0x00007fffe5a41f83 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#41 postEventSourceDispatch (s=0x68b5e0) at kernel/qeventdispatcher_glib.cpp:280
#42 0x00007fffeed92d56 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#43 0x00007fffeed930a8 in ?? () from /usr/lib/libglib-2.0.so.0
#44 0x00007fffeed9314c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#45 0x00007fffe5a41735 in QEventDispatcherGlib::processEvents (this=0x633e20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#46 0x00007fffe4d8c4e6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#47 0x00007fffe4d6941b in QX11Data::clipboardWaitForEvent (this=0x68d800, win=win@entry=58720320, type=type@entry=31, event=event@entry=0x7fffffff99a0, timeout=timeout@entry=5000, 
    checkManager=checkManager@entry=false) at kernel/qclipboard_x11.cpp:560
#48 0x00007fffe4d6b1cc in QClipboardWatcher::getDataInFormat (this=this@entry=0x1f423e0, fmtatom=308) at kernel/qclipboard_x11.cpp:1289
#49 0x00007fffe4d6b65a in QClipboardWatcher::formats_sys (this=0x1f423e0) at kernel/qclipboard_x11.cpp:1214
#50 0x00007fffe4cf64a6 in QInternalMimeData::formats (this=<optimized out>) at kernel/qdnd.cpp:353
#51 0x00007fffe4d6b3d2 in QClipboardWatcher::retrieveData_sys (this=0x1f423e0, fmt=..., requestedType=QVariant::ByteArray) at kernel/qclipboard_x11.cpp:1250
#52 0x00007fffe4cf6956 in QInternalMimeData::retrieveData (this=0x1f423e0, mimeType=..., type=QVariant::ByteArray) at kernel/qdnd.cpp:368
#53 0x00007fffe5a20e0e in QMimeDataPrivate::retrieveTypedData (this=<optimized out>, format=..., type=type@entry=QVariant::ByteArray) at kernel/qmimedata.cpp:107
#54 0x00007fffe5a21a0d in QMimeData::data (this=this@entry=0x1f423e0, mimeType=...) at kernel/qmimedata.cpp:524
#55 0x00007fffe699dae2 in KFilePreviewGenerator::Private::decodeIsCutSelection (this=this@entry=0x1d19e40, mimeData=mimeData@entry=0x1f423e0)
    at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kfile/kfilepreviewgenerator.cpp:1120
#56 0x00007fffe699fb04 in KFilePreviewGenerator::Private::applyCutItemEffect (this=this@entry=0x1d19e40, items=...)
    at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kfile/kfilepreviewgenerator.cpp:890
#57 0x00007fffe699fef4 in KFilePreviewGenerator::Private::updateIcons (this=0x1d19e40, items=...) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kfile/kfilepreviewgenerator.cpp:534
#58 0x00007fffe5a272c8 in QMetaObject::activate (sender=0x1b980f0, m=m@entry=0x7fffe70bfcc0 <KDirLister::staticMetaObject>, local_signal_index=local_signal_index@entry=9, 
    argv=argv@entry=0x7fffffffa1b0) at kernel/qobject.cpp:3547
#59 0x00007fffe6cf9c25 in KDirLister::newItems (this=<optimized out>, _t1=...) at /home/catlover2/abs/extra/kdelibs/src/build/kio/kdirlister.moc:280
#60 0x00007fffe6cfb7fe in KDirLister::Private::emitItems (this=0x1bc5e10) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/kdirlister.cpp:2506
#61 0x00007fffe6d031d4 in KDirListerCache::slotEntries (this=0x1b60000, job=<optimized out>, entries=...) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/kdirlister.cpp:1260
#62 0x00007fffe5a272c8 in QMetaObject::activate (sender=sender@entry=0x1fa1b40, m=m@entry=0x7fffe70befe0 <KIO::ListJob::staticMetaObject>, local_signal_index=local_signal_index@entry=0, 
    argv=argv@entry=0x7fffffffa480) at kernel/qobject.cpp:3547
#63 0x00007fffe6ce2e34 in KIO::ListJob::entries (this=this@entry=0x1fa1b40, _t1=_t1@entry=0x1fa1b40, _t2=...) at /home/catlover2/abs/extra/kdelibs/src/build/kio/jobclasses.moc:967
#64 0x00007fffe6ceaad8 in KIO::ListJobPrivate::slotListEntries (this=<optimized out>, list=...) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/job.cpp:2617
#65 0x00007fffe5a272c8 in QMetaObject::activate (sender=0x1cb49c0, m=m@entry=0x7fffe70c34e0 <KIO::SlaveInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=6, 
    argv=argv@entry=0x7fffffffa6f0) at kernel/qobject.cpp:3547
#66 0x00007fffe6d70cb5 in KIO::SlaveInterface::listEntries (this=<optimized out>, _t1=...) at /home/catlover2/abs/extra/kdelibs/src/build/kio/slaveinterface.moc:198
#67 0x00007fffe6d71d21 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=<optimized out>, rawdata=...)
    at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/slaveinterface.cpp:194
#68 0x00007fffe6d70a5f in KIO::SlaveInterface::dispatch (this=0x1cb49c0) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/slaveinterface.cpp:92
#69 0x00007fffe6d68bc9 in KIO::Slave::gotInput (this=0x1cb49c0) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/slave.cpp:344
#70 0x00007fffe5a272c8 in QMetaObject::activate (sender=0x1bc5b70, m=m@entry=0x7fffe70bca00 <KIO::Connection::staticMetaObject>, local_signal_index=local_signal_index@entry=0, 
    argv=argv@entry=0x0) at kernel/qobject.cpp:3547
#71 0x00007fffe6cbd4f0 in KIO::Connection::readyRead (this=<optimized out>) at /home/catlover2/abs/extra/kdelibs/src/build/kio/connection.moc:105
#72 0x00007fffe6cbe0bc in KIO::ConnectionPrivate::dequeue (this=0x1c94720) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kio/kio/connection.cpp:82
#73 0x00007fffe5a2bdae in QObject::event (this=0x1bc5b70, e=<optimized out>) at kernel/qobject.cpp:1194
#74 0x00007fffe4ce24c1 in QApplicationPrivate::notify_helper (this=this@entry=0x68b730, receiver=receiver@entry=0x1bc5b70, e=e@entry=0x1f4f6b0) at kernel/qapplication.cpp:4562
#75 0x00007fffe4ce938d in QApplication::notify (this=this@entry=0x67d3c0, receiver=receiver@entry=0x1bc5b70, e=e@entry=0x1f4f6b0) at kernel/qapplication.cpp:4348
#76 0x00007fffe648ea16 in KApplication::notify (this=0x67d3c0, receiver=0x1bc5b70, event=0x1f4f6b0) at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kdeui/kernel/kapplication.cpp:311
#77 0x00007fffe5a11b5d in QCoreApplication::notifyInternal (this=0x67d3c0, receiver=receiver@entry=0x1bc5b70, event=event@entry=0x1f4f6b0) at kernel/qcoreapplication.cpp:949
#78 0x00007fffe5a15041 in sendEvent (event=0x1f4f6b0, receiver=0x1bc5b70) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#79 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x630f70) at kernel/qcoreapplication.cpp:1573
#80 0x00007fffe5a15453 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1466
#81 0x00007fffe5a41f83 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#82 postEventSourceDispatch (s=0x68b5e0) at kernel/qeventdispatcher_glib.cpp:280
#83 0x00007fffeed92d56 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#84 0x00007fffeed930a8 in ?? () from /usr/lib/libglib-2.0.so.0
#85 0x00007fffeed9314c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#86 0x00007fffe5a41735 in QEventDispatcherGlib::processEvents (this=0x633e20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#87 0x00007fffe4d8c4e6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#88 0x00007fffe5a0ff7f in QEventLoop::processEvents (this=this@entry=0x7fffffffb040, flags=...) at kernel/qeventloop.cpp:149
#89 0x00007fffe5a10215 in QEventLoop::exec (this=this@entry=0x7fffffffb040, flags=...) at kernel/qeventloop.cpp:204
#90 0x00007fffe51e8a3c in QDialog::exec (this=0x1ab39c0) at dialogs/qdialog.cpp:562
#91 0x00007fffe70e6e7e in KDE4FilePicker::execute (this=0x1aaf8b0) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/unx/kde4/KDE4FilePicker.cxx:174
#92 0x00007ffff53146a7 in sfx2::FileDialogHelper_Impl::implDoExecute (this=this@entry=0x1ab3bb0)
    at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/sfx2/source/dialog/filedlghelper.cxx:1336
#93 0x00007ffff5314859 in sfx2::FileDialogHelper_Impl::execute (this=0x1ab3bb0, rpURLList=std::vector of length 0, capacity 0, rpSet=@0x7fffffffb4b0: 0x7fffffffb580, rFilter=...)
    at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/sfx2/source/dialog/filedlghelper.cxx:1489
#94 0x00007ffff5315197 in sfx2::FileDialogHelper::Execute (this=this@entry=0x1ab3ab0, rpSet=@0x7fffffffb4b0: 0x7fffffffb580, rFilter=...)
    at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/sfx2/source/dialog/filedlghelper.cxx:2402
#95 0x00007ffff53d5cf7 in ModelData_Impl::OutputFileDialog (this=this@entry=0x7fffffffbb00, nStoreMode=nStoreMode@entry=32 ' ', aPreselectedFilterPropsHM=..., 
    bSetStandardName=bSetStandardName@entry=0 '\000', aSuggestedName=..., bPreselectPassword=bPreselectPassword@entry=0 '\000', aSuggestedDir=..., nDialog=nDialog@entry=0, rStandardDir=..., 
    rBlackList=...) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/sfx2/source/doc/guisaveas.cxx:1075
#96 0x00007ffff53d9408 in SfxStoringHelper::GUIStoreModel (this=this@entry=0x7fffffffc200, xModel=..., aSlotName=..., aArgsSequence=..., bPreselectPassword=bPreselectPassword@entry=0 '\000', 
    aSuggestedName=..., nDocumentSignatureState=nDocumentSignatureState@entry=0) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/sfx2/source/doc/guisaveas.cxx:1566
#97 0x00007ffff53f708c in SfxObjectShell::ExecFile_Impl (this=0x17c1be0, rReq=...) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/sfx2/source/doc/objserv.cxx:669
#98 0x00007ffff54f8f44 in SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) () from /usr/lib/libreoffice/program/libsfxlo.so
#99 0x00007ffff54f255e in SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) () from /usr/lib/libreoffice/program/libsfxlo.so
#100 0x00007ffff54f4130 in SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short) () from /usr/lib/libreoffice/program/libsfxlo.so
#101 0x00007ffff52b110d in SfxBindings::Execute_Impl (this=0x1883f70, aReq=..., pSlot=pSlot@entry=0x7ffff57f28e0 <aSfxObjectShellSlots_Impl>, pShell=pShell@entry=0x17c1be0)
    at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/sfx2/source/control/bindings.cxx:1293
#102 0x00007ffff52e580a in SfxDispatchController_Impl::dispatch (this=0x198b440, aURL=..., aArgs=..., rListener=...)
    at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/sfx2/source/control/unoctitm.cxx:736
#103 0x00007ffff52e6d12 in SfxOfficeDispatch::dispatch (this=0x198b3e0, aURL=..., aArgs=...) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/sfx2/source/control/unoctitm.cxx:369
#104 0x00007fffd63140bd in framework::MenuBarManager::Select (this=0x1721530, pMenu=<optimized out>)
    at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/framework/source/uielement/menubarmanager.cxx:1121
#105 0x00007ffff362374b in Call (pCaller=0x18eacf0, this=0x18ead58) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/include/tools/link.hxx:123
#106 Menu::Select (this=0x18eacf0) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/source/window/menu.cxx:1131
#107 0x00007ffff361d705 in ImplCallSelect (this=<optimized out>) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/source/window/menu.cxx:3003
#108 Menu::LinkStubImplCallSelect (pThis=<optimized out>, pCaller=<optimized out>) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/source/window/menu.cxx:3000
#109 0x00007ffff368e1ca in Call (pCaller=<optimized out>, this=<optimized out>) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/include/tools/link.hxx:123
#110 ImplHandleUserEvent (pSVEvent=0x19b6b60) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/source/window/winproc.cxx:1986
#111 ImplWindowFrameProc (pWindow=<optimized out>, nEvent=<optimized out>, pEvent=0x19b6b60) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/source/window/winproc.cxx:2601
#112 0x00007ffff3694858 in CallCallback (pEvent=0x19b6b60, nEvent=22, this=0x136ab80) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/inc/salframe.hxx:243
#113 SalGenericDisplay::DispatchInternalEvent (this=0x8b5bf0) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/generic/app/gendisp.cxx:91
#114 0x00007fffe5a272c8 in QMetaObject::activate (sender=0x633350, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#115 0x00007fffe5a2bbc1 in QObject::event (this=0x633350, e=<optimized out>) at kernel/qobject.cpp:1156
#116 0x00007fffe4ce24c1 in QApplicationPrivate::notify_helper (this=this@entry=0x68b730, receiver=receiver@entry=0x633350, e=e@entry=0x7fffffffd810) at kernel/qapplication.cpp:4562
#117 0x00007fffe4ce938d in QApplication::notify (this=this@entry=0x67d3c0, receiver=receiver@entry=0x633350, e=e@entry=0x7fffffffd810) at kernel/qapplication.cpp:4348
#118 0x00007fffe648ea16 in KApplication::notify (this=0x67d3c0, receiver=0x633350, event=0x7fffffffd810)
    at /home/catlover2/abs/extra/kdelibs/src/kdelibs-4.11.2/kdeui/kernel/kapplication.cpp:311
#119 0x00007fffe5a11b5d in QCoreApplication::notifyInternal (this=0x67d3c0, receiver=0x633350, event=0x7fffffffd810) at kernel/qcoreapplication.cpp:949
#120 0x00007fffe5a449f3 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#121 QTimerInfoList::activateTimers (this=0x68bb90) at kernel/qeventdispatcher_unix.cpp:621
#122 0x00007fffe5a41501 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:186
#123 0x00007fffeed92d56 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#124 0x00007fffeed930a8 in ?? () from /usr/lib/libglib-2.0.so.0
#125 0x00007fffeed9314c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#126 0x00007fffe5a41735 in QEventDispatcherGlib::processEvents (this=0x633e20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#127 0x00007fffe4d8c4e6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#128 0x00007fffe70f1277 in KDEXLib::processYield (this=<optimized out>, bWait=<optimized out>, bHandleAllCurrentEvents=<optimized out>)
    at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/unx/kde4/KDEXLib.cxx:319
#129 0x00007ffff33c0744 in ImplYield (i_bAllEvents=false, i_bWait=true) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/source/app/svapp.cxx:422
#130 Application::Yield (i_bAllEvents=i_bAllEvents@entry=false) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/source/app/svapp.cxx:456
#131 0x00007ffff33c07e7 in Application::Execute () at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/source/app/svapp.cxx:401
#132 0x00007ffff793110c in desktop::Desktop::Main (this=0x7fffffffdde0) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/desktop/source/app/app.cxx:1720
#133 0x00007ffff33c8551 in ImplSVMain () at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/source/app/svmain.cxx:162
#134 0x00007ffff33c8572 in SVMain () at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/vcl/source/app/svmain.cxx:198
#135 0x00007ffff7959935 in soffice_main () at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/desktop/source/app/sofficemain.cxx:82
#136 0x000000000040073b in sal_main () at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/desktop/source/app/main.c:48
#137 main (argc=<optimized out>, argv=<optimized out>) at /home/catlover2/abs/testing/libreoffice/src/libreoffice-4.1.2.3/desktop/source/app/main.c:47

Sorry, I haven't yet figured out how to properly compile libglib for debugging. Let me know if it's of any importance; I'll look in to it further if needed.
Comment 6 catlover2 2013-10-07 02:35:18 UTC
After some more testing, it appears that LibreOffice only crashes when using the Oxygen or Oxygen Transparent KDE widget styles. LibreOffice does not crash when any of the others (CDE, Cleanlooks, GTK+ Style, MS Windows 9X, Motif, Phase, Plastique, QtCurve; I did test them all!) are being used. I suppose this can be considered a workaround but not a very good one.

For what it's worth, I can NOT reproduce this bug with LibreOffice 4.1.1.2 (from ppa:libreoffice/ppa) and KDE 4.11.2 running on Kubuntu 12.04.
Comment 7 Martin Senftleben 2013-11-15 05:52:40 UTC
I had the same problem. I changed the style from oxygen to gtk+ and now it's safe again to use the KDE file dialogues. 

LO 4.1.2.3, KDE 4.11.2, Kubuntu 13.10

Thank God there's this workaround, I hate the LO file dialogue...
Comment 8 Peter Ludwig 2014-04-05 09:48:49 UTC
I changed to different Styles/Decorations and checked the behaviour and I found out:

The new version of LO 4.2.3.3 Build-ID: 420m0(Build:3) crashed with KDE dialogues and all other setting in default. (Oxygen)

Error:
"QWidget::repaint: Recursive repaint detected"

Switching to "thinice" (in gtk+ Styles and Fonts) crashes my LO directly when opening the "open/save" dialogue (using KDE LO Style durin all tests) with error message:

"X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 42 (X_SetInputFocus)
  Resource id:  0x8e0002f
QWidget::repaint: Recursive repaint detected"

Switching back to "clearlooks" (r) in "Widget Style" seams to run ok too.

I then tried what was suggested here: I switched to "Cleanlooks" (n) in "Style". Switched back to Oxygen in "Window Decoration". This seemed to fix the problem too.

Hope this helps
Comment 9 Julien Nabet 2014-04-05 10:11:03 UTC
Peter: about Oxygen, see 
https://bugs.freedesktop.org/show_bug.cgi?id=69158 (put in See Also)

Michael: Oxygen bug here too? I don't know Oxygen at all and thought, by looking fdo#69158, that it was only on gtk ; comment 6 of this bug seems to indicate it's not the case.
Comment 10 Maxim Monastirsky 2014-04-06 12:42:45 UTC
(In reply to comment #9)
> Peter: about Oxygen, see 
> https://bugs.freedesktop.org/show_bug.cgi?id=69158 (put in See Also)
These two bugs are completely unrelated. Bug 69158 is about the gtk2 plugin, when using with the 'oxygen-gtk' gtk2 theme. This bug is about the kde4 plugin, and it looks much like Bug 69002 (Should we reopen it then?). Fortunately some work was done in that area in libreoffice-4-2 branch [1], so this problem might be already solved.

[1] http://lists.freedesktop.org/archives/libreoffice/2014-March/060260.html
Comment 11 Luboš Luňák 2014-04-25 14:46:10 UTC

*** This bug has been marked as a duplicate of bug 69002 ***